using System;
using System.Reflection;

internal sealed class Delegate849 : MulticastDelegate
{
	public extern MethodInfo Invoke(object object_0);

	public static MethodInfo smethod_0(object object_0, Delegate849 delegate849_1)
	{
		return delegate849_1(object_0);
	}

	public extern Delegate849(object object_0, IntPtr intptr_0);

	static Delegate849()
	{
		Class10.smethod_13(typeof(Delegate849).TypeHandle);
	}

	internal static Delegate849 delegate849_0;
}
